// 控制jq
$(function(){
	$('.webBox .wrapbg').parallax("50%", 0.1);
	
	$('header #logoBtns .topBar a#openBox').click(function(){
		if($(this).eq(0).attr('class') == 'menuBtn'){
			$(this).addClass('openBox');
			$('header nav').addClass('showMenu');
			$('header').css('z-index', '999');
		}else{
			$(this).removeClass('openBox');
			$('header nav').removeClass('showMenu');
			$('header').css('z-index', '998');
		}
	});
	$('header nav #menu >ul >li p b').click(function(){
		$('header nav #menu >ul >li').removeClass('open');
		var ul = $(this).parent('p').parent('li').siblings();
		ul.children().children().children('i').attr('class','fa fa-plus');
		if($(this).children('i').eq(0).attr('class') == 'fa fa-plus'){
			$(this).children('i').attr('class','fa fa-minus');
			$(this).parent().parent().addClass('open');
		}else{
			$(this).children('i').attr('class','fa fa-plus');
			$(this).parent().parent().removeClass('open');
		}
	});
	$('header nav #closeBox').click(function(){
		$('header #logoBtns .topBar a#openBox').removeClass('openBox');
		$('header nav').removeClass('showMenu');
		$('header').css('z-index', '998');
	});
	$('header nav #menu >ul >li .menu_body b').click(function(){
		var ul = $(this).parent('div').parent('li').siblings();
		ul.children('ul').slideUp("slow");
		ul.children().children().children('i').attr('class','fa fa-plus');
		if($(this).children('i').eq(0).attr('class') == 'fa fa-plus'){
			$(this).parent().next().slideToggle(300);
			$(this).children('i').attr('class','fa fa-minus');
			$(this).parent().parent().addClass('action');
		}else{
			$(this).parent().next().slideUp("slow");
			$(this).children('i').attr('class','fa fa-plus');
			$(this).parent().parent().removeClass('action');
		}
	});
	$('header nav #menu >ul >li .menu_body a[data-action="closeList"]').click(function(){
		var li = $(this).parent('div').parent('li');
		li.removeClass('open');
		li.children('p').children('b').children('i').attr('class','fa fa-plus');
	});
	$('#openSearch').click(function(){
		if($(this).eq(0).attr('class') == 'searchBtn'){
			$(this).addClass('open');
			$('.searchBox').addClass('showSearch');
		}else{
			$(this).removeClass('open');
			$('.searchBox').removeClass('showSearch');
		}
	});
	$('#goSearch').click(function(){
		$('#hSearch').submit();
	});
	$('#webSeo .seo').marquee({
		speed: 100000,
		gap: 50,
		delayBeforeStart: 0,
		direction: 'left',
		duplicated: true,
		pauseOnHover: true
	});
});
//判斷滾輪事件
var scrollFunc = function (e) {
	e = e || window.event;
	if (e.wheelDelta) { //判斷瀏覽器IE,谷歌滑輪事件
		if (e.wheelDelta > 0) { //當滑輪向上滾動時執行的程式碼段
			$('header').addClass('headerShow');
			$('header').removeClass('headerNone');
			$("#sideNav").addClass("showheader");
		}
		if (e.wheelDelta < 0) { //當滑輪向下滾動時執行的程式碼段
			$('header').removeClass('headerShow');
			$('header').addClass('headerNone');
			$("#sideNav").removeClass("showheader");
		}
	}else if(e.detail) { //Firefox滑輪事件
		if (e.detail < 0) { //當滑輪向上滾動時執行的程式碼段
			$('header').addClass('headerShow');
			$('header').removeClass('headerNone');
			$("#sideNav").addClass("showheader");
		}
		if (e.detail > 0) { //當滑輪向下滾動時執行的程式碼段
			$('header').removeClass('headerShow');
			$('header').addClass('headerNone');
			$("#sideNav").removeClass("showheader");
		}
	}

} //給頁面繫結滑輪滾動事件 Firefox
if (document.addEventListener) {//firefox
	document.addEventListener('DOMMouseScroll', scrollFunc, false);
} //滾動滑輪觸發scrollFunc方法 ie 谷歌
window.onmousewheel = document.onmousewheel = scrollFunc;

$(window).scroll(function(){
	if($(document).scrollTop() > 10){
		$('header').addClass('headerTop',800);
	}else{
		$('header').removeClass('headerTop',800);
	}
});

//回到顶部
function goTop(){
	$('html,body').animate({'scrollTop':0},600); //滚回顶部的时间，越小滚的速度越快~
}
//jump6
var flagWC = 0;
window.addEventListener('message',function(e){
	if(e.source != window.parent) return;
	if(flagWC > 0) return;
	document.body.style.width = e.data;
	document.body.style.overflowX = "hidden";
	flagWC = 1;
},true);
if(window.top != window && flagWC == 0){
	window.top.postMessage('givemewidth','*');
}